Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.UHC.Pragmas.Parse

Description

Defines UHC Core functions used in other parts of Agda. E.g. parsing Core pragmas uses the `parseCoreCode` function.

Synopsis

- module Agda.Compiler.UHC.Pragmas.Base
- parseCoreExpr :: String -> Either String CoreExpr
- coreExprToCExpr :: CoreExpr -> Either String CExpr
- parseCoreData :: MonadTCM m => String -> m CoreType
- parseCoreConstrs :: MonadTCM m => CoreType -> [String] -> m [CoreConstr]

# Documentation

module Agda.Compiler.UHC.Pragmas.Base

parseCoreExpr :: String -> Either String CoreExpr #

Parse a COMPILED_UHC expression.

coreExprToCExpr :: CoreExpr -> Either String CExpr #

parseCoreData :: MonadTCM m => String -> m CoreType #

Parse a COMPILED_DATA_UHC specification.

parseCoreConstrs :: MonadTCM m => CoreType -> [String] -> m [CoreConstr] #